/***************************************************************
 * Name:      fretlessApp.h
 * Purpose:   Defines Application Class
 * Author:    John Conner Atkeson ()
 * Created:   2007-12-02
 * Copyright: John Conner Atkeson (http://jca3.freeshell.org)
 * License:
 **************************************************************/

#ifndef FRETLESSAPP_H
#define FRETLESSAPP_H

#include <wx/app.h>
#include <wx/cmdline.h>

class fretlessApp : public wxApp
{
    public:
        virtual bool OnInit();
        virtual void OnInitCmdLine(wxCmdLineParser& parser);
        virtual bool OnCmdLineParsed(wxCmdLineParser& parser);
};
static const wxCmdLineEntryDesc g_cmdLineDesc [] =
{
     //{ wxCMD_LINE_SWITCH, wxT("h"), wxT("help"), wxT("displays help on the command line parameters"), wxCMD_LINE_VAL_NONE, wxCMD_LINE_OPTION_HELP },
     //{ wxCMD_LINE_SWITCH, wxT("t"), wxT("test"), wxT("test switch"), wxCMD_LINE_VAL_NONE, wxCMD_LINE_OPTION_MANDATORY  },
     //{ wxCMD_LINE_SWITCH, wxT("s"), wxT("silent"), wxT("disables the GUI") },
     //{ wxCMD_LINE_SWITCH, wxT("i"), wxT("iterations"), wxT("number of iterations") },
     { wxCMD_LINE_OPTION, wxT("i"), wxT("iterations"), wxT("Set pitch in halftones (-12..+12)"), wxCMD_LINE_VAL_NUMBER },
     { wxCMD_LINE_NONE }
     //wxCMD_LINE_VAL_NUMBER,
};
DECLARE_APP(fretlessApp)
#endif // FRETLESSAPP_H
